package com.ampiere.web.struts.form;

import org.apache.struts.action.ActionForm;
import java.io.Serializable;
import org.apache.struts.action.ActionMapping;
import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;

/**
 * Payment Selection Manual.
 * @author Almas:SiqinBilige
 */
public class PaymentSelectionForm extends ActionForm implements Serializable {

    /** Bank Account. */
    private String bankAccount;

    /** Business Partner. */
    private int businessPartner;

    /** Only Due Invoices. */
    private String onlyDueInvoices;

    /** Payment Date. */
    private String paymentDate;

    /** Payment Rule. */
    private String paymentRule;

    /** Invoice ID List. */
    private String [] invoiceIdList;

    /** Changed Column. */
    private String changedColumn;

    /** Main Window Title. */
    private String mainWindowTitle;

    /** Page Title. */
    private String pageTitle;

    /** Bank Account Label. */
    private String bankAccountLabel;

    /** Bank Account List. */
    private ArrayList bankAccountList;

    /** Current Balance Label. */
    private String currentBalanceLabel;

    /** Current Balance. */
    private String currentBalance;

    /** Current Currency. */
    private String currentCurrency;

    /** Business Partner Label. */
    private String businessPartnerLabel;

    /** Business Partner List. */
    private ArrayList businessPartnerList;

    /** Only Due Invoices Label. */
    private String onlyDueInvoicesLabel;

    /** Payment Date Label. */
    private String paymentDateLabel;

    /** Payment Rule Label. */
    private String paymentRuleLabel;

    /** Payment Rule List. */
    private ArrayList paymentRuleList;

    /** Invoice List. */
    private ArrayList invoiceList;

    /** Result Information. */
    private String resultInfo;


    /**
     * Get Bank Account.
     * @return Bank Account
     */
    public final String getBankAccount() {
        return this.bankAccount;
    }

    /**
     * Set Bank Account.
     * @param bankAccountP Bank Account
     */
    public final void setBankAccount(final String bankAccountP) {
        this.bankAccount = bankAccountP;
    }

    /**
     * Get Business Partner.
     * @return Business Partner
     */
    public final int getBusinessPartner() {
        return this.businessPartner;
    }

    /**
     * Set Business Partner.
     * @param businessPartnerP Business Partner
     */
    public final void setBusinessPartner(final int businessPartnerP) {
        this.businessPartner = businessPartnerP;
    }

    /**
     * Get Only Due Invoices.
     * @return Only Due Invoices
     */
    public final String getOnlyDueInvoices() {
        return this.onlyDueInvoices;
    }

    /**
     * Set Only Due Invoices.
     * @param onlyDueInvoicesP Only Due Invoices
     */
    public final void setOnlyDueInvoices(final String onlyDueInvoicesP) {
        this.onlyDueInvoices = onlyDueInvoicesP;
    }

    /**
     * Get Payment Date.
     * @return Payment Date
     */
    public final String getPaymentDate() {
        return this.paymentDate;
    }

    /**
     * Set Payment Date.
     * @param paymentDateP Payment Date
     */
    public final void setPaymentDate(final String paymentDateP) {
        this.paymentDate = paymentDateP;
    }

    /**
     * Get Payment Rule.
     * @return Payment Rule
     */
    public final String getPaymentRule() {
        return this.paymentRule;
    }

    /**
     * Set Payment Rule.
     * @param paymentRuleP Payment Rule
     */
    public final void setPaymentRule(final String paymentRuleP) {
        this.paymentRule = paymentRuleP;
    }

    /**
     * Get Invoice ID List.
     * @return Invoice ID List
     */
    public final String [] getInvoiceIdList() {
        return this.invoiceIdList;
    }

    /**
     * Set Invoice ID List.
     * @param invoiceIdListP Invoice ID List
     */
    public final void setInvoiceIdList(final String [] invoiceIdListP) {
        this.invoiceIdList = invoiceIdListP;
    }

    /**
     * Get Changed Column.
     * @return Changed Column
     */
    public final String getChangedColumn() {
        return this.changedColumn;
    }

    /**
     * Set Changed Column.
     * @param changedColumnP Changed Column
     */
    public final void setChangedColumn(final String changedColumnP) {
        this.changedColumn = changedColumnP;
    }

    /**
     * Get Main Window Title.
     * @return Main Window Title
     */
    public final String getMainWindowTitle() {
        return this.mainWindowTitle;
    }

    /**
     * Set Main Window Title.
     * @param mainWindowTitleP Main Window Title
     */
    public final void setMainWindowTitle(final String mainWindowTitleP) {
        this.mainWindowTitle = mainWindowTitleP;
    }

    /**
     * Get Page Title.
     * @return Page Title
     */
    public final String getPageTitle() {
        return this.pageTitle;
    }

    /**
     * Set Page Title.
     * @param pageTitleP Page Title
     */
    public final void setPageTitle(final String pageTitleP) {
        this.pageTitle = pageTitleP;
    }

    /**
     * Get Bank Account Label.
     * @return Bank Account Label
     */
    public final String getBankAccountLabel() {
        return this.bankAccountLabel;
    }

    /**
     * Set Bank Account Label.
     * @param bankAccountLabelP Bank Account Label
     */
    public final void setBankAccountLabel(final String bankAccountLabelP) {
        this.bankAccountLabel = bankAccountLabelP;
    }

    /**
     * Get Bank Account List.
     * @return Bank Account List
     */
    public final ArrayList getBankAccountList() {
        return this.bankAccountList;
    }

    /**
     * Set Bank Account List.
     * @param bankAccountListP Bank Account List
     */
    public final void setBankAccountList(final ArrayList bankAccountListP) {
        this.bankAccountList = bankAccountListP;
    }

    /**
     * Get Current Balance Label.
     * @return Current Balance Label
     */
    public final String getCurrentBalanceLabel() {
        return this.currentBalanceLabel;
    }

    /**
     * Set Current Balance Label.
     * @param currentBalanceLabelP Current Balance Label
     */
    public final void setCurrentBalanceLabel(final String currentBalanceLabelP) {
        this.currentBalanceLabel = currentBalanceLabelP;
    }

    /**
     * Get Current Balance.
     * @return Current Balance
     */
    public final String getCurrentBalance() {
        return this.currentBalance;
    }

    /**
     * Set Current Balance.
     * @param currentBalanceP Current Balance
     */
    public final void setCurrentBalance(final String currentBalanceP) {
        this.currentBalance = currentBalanceP;
    }

    /**
     * Get Current Currency.
     * @return Current Currency
     */
    public final String getCurrentCurrency() {
        return this.currentCurrency;
    }

    /**
     * Set Current Currency.
     * @param currentCurrencyP Current Currency
     */
    public final void setCurrentCurrency(final String currentCurrencyP) {
        this.currentCurrency = currentCurrencyP;
    }

    /**
     * Get Business Partner Label.
     * @return Business Partner Label
     */
    public final String getBusinessPartnerLabel() {
        return this.businessPartnerLabel;
    }

    /**
     * Set Business Partner Label.
     * @param businessPartnerLabelP Business Partner Label
     */
    public final void setBusinessPartnerLabel(final String businessPartnerLabelP) {
        this.businessPartnerLabel = businessPartnerLabelP;
    }

    /**
     * Get Business Partner List.
     * @return Business Partner List
     */
    public final ArrayList getBusinessPartnerList() {
        return this.businessPartnerList;
    }

    /**
     * Set Business Partner List.
     * @param businessPartnerListP Business Partner List
     */
    public final void setBusinessPartnerList(final ArrayList businessPartnerListP) {
        this.businessPartnerList = businessPartnerListP;
    }

    /**
     * Get Only Due Invoices Label.
     * @return Only Due Invoices Label
     */
    public final String getOnlyDueInvoicesLabel() {
        return this.onlyDueInvoicesLabel;
    }

    /**
     * Set Only Due Invoices Label.
     * @param onlyDueInvoicesLabelP Only Due Invoices Label
     */
    public final void setOnlyDueInvoicesLabel(final String onlyDueInvoicesLabelP) {
        this.onlyDueInvoicesLabel = onlyDueInvoicesLabelP;
    }

    /**
     * Get Payment Date Label.
     * @return Payment Date Label
     */
    public final String getPaymentDateLabel() {
        return this.paymentDateLabel;
    }

    /**
     * Set Payment Date Label.
     * @param paymentDateLabelP Payment Date Label
     */
    public final void setPaymentDateLabel(final String paymentDateLabelP) {
        this.paymentDateLabel = paymentDateLabelP;
    }

    /**
     * Get Payment Rule Label.
     * @return Payment Rule Label
     */
    public final String getPaymentRuleLabel() {
        return this.paymentRuleLabel;
    }

    /**
     * Set Payment Rule Label.
     * @param paymentRuleLabelP Payment Rule Label
     */
    public final void setPaymentRuleLabel(final String paymentRuleLabelP) {
        this.paymentRuleLabel = paymentRuleLabelP;
    }

    /**
     * Get Payment Rule List.
     * @return Payment Rule List
     */
    public final ArrayList getPaymentRuleList() {
        return this.paymentRuleList;
    }

    /**
     * Set Payment Rule List.
     * @param paymentRuleListP Payment Rule List
     */
    public final void setPaymentRuleList(final ArrayList paymentRuleListP) {
        this.paymentRuleList = paymentRuleListP;
    }

    /**
     * Get Invoice List.
     * @return Invoice List
     */
    public final ArrayList getInvoiceList() {
        return this.invoiceList;
    }

    /**
     * Set Invoice List.
     * @param invoiceListP Invoice List
     */
    public final void setInvoiceList(final ArrayList invoiceListP) {
        this.invoiceList = invoiceListP;
    }

    /**
     * Get Result Information.
     * @return Result Information
     */
    public final String getResultInfo() {
        return this.resultInfo;
    }

    /**
     * Set Result Information.
     * @param resultInfoP Result Information
     */
    public final void setResultInfo(final String resultInfoP) {
        this.resultInfo = resultInfoP;
    }

    /**
     * Reset Method.
     * @param mapping mapping
     * @param request request
     */
    public final void reset(final ActionMapping mapping, final HttpServletRequest request) {
        //TODO Insert code here.
    }

}
